4

I was trying to deploy a smart contract using the remix IDE. Everything was working fine and suddenly I started getting this error. Spent a couple hours solving it. No luck! Is this an issue with the Metamask or Remix IDE? The code has been working fine on the network for a couple of weeks (no change made).

Screenshot of the error

EDIT: The error has vanished and normal behavior has resumed.

3
  • 2
    Suddenly getting exactly the same error with Remix. I am trying to push to the Ropsten test network
    – ORStudios
    Jan 17, 2018 at 13:21
  • I have the same problem. Deploi works normally on small contracts. But I have 1200 lines and I get the same error Jan 17, 2018 at 16:21
  • Same, getting this error with the injected web3
    – blackops
    Jan 18, 2018 at 5:17

2 Answers 2

2

i get same wrong,i had solved this question, at settings, behind compile, rum ,you we you should setting the Enable Optimization enter image description here

2
  • enabling or disabling the optimization option doesn't have any effect. Jan 18, 2018 at 9:15
  • Strange, but this worked for me.
    – Silviu
    Jan 18, 2018 at 18:07
2

I found a solution. I guess its either Chrome browser's problem or the chrome version of metamask. I tried to use remix in firefox with metamask and it works like a charm. I am still facing the same issue with chrome. This is not exactly a solution but a workaround for now.

Since there is no update for 24 hours I will raise this as an issue in metamask github and update with any solution I find.

EDIT: This was indeed an issue with the new update metamask rolled. It was reported and fixed here.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.